Module tdlight.api
Package it.tdlight.jni

# Class TdApi.GetChatInviteLinkMembers

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.ChatInviteLinkMembers>
it.tdlight.jni.TdApi.GetChatInviteLinkMembers

Enclosing class:
  TdApi

public static final class TdApi.GetChatInviteLinkMembers extends TdApi.Function<TdApi.ChatInviteLinkMembers>
Returns chat members joined a chat via an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`String`
`inviteLink`
Invite link for which to return chat members.
`int`
`limit`
The maximum number of chat members to return; up to 100.
`TdApi.ChatInviteLinkMember`
`offsetMember`
A chat member from which to return next chat members; pass null to get results from the beginning.

## Constructor Summary

Constructors
Constructor
Description
`GetChatInviteLinkMembers()`
Returns chat members joined a chat via an invite link.
`GetChatInviteLinkMembers(long chatId, String inviteLink, TdApi.ChatInviteLinkMember offsetMember, int limit)`
Returns chat members joined a chat via an invite link.
`GetChatInviteLinkMembers(DataInput input)`
Returns chat members joined a chat via an invite link.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### inviteLink

public String inviteLink
Invite link for which to return chat members.

### offsetMember

public TdApi.ChatInviteLinkMember offsetMember
A chat member from which to return next chat members; pass null to get results from the beginning.

### limit

public int limit
The maximum number of chat members to return; up to 100.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### GetChatInviteLinkMembers

public GetChatInviteLinkMembers()
Returns chat members joined a chat via an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

### GetChatInviteLinkMembers

public GetChatInviteLinkMembers(long chatId, String inviteLink, TdApi.ChatInviteLinkMember offsetMember, int limit)
Returns chat members joined a chat via an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

Parameters:
  `chatId` - Chat identifier.
  `inviteLink` - Invite link for which to return chat members.
  `offsetMember` - A chat member from which to return next chat members; pass null to get results from the beginning.
  `limit` - The maximum number of chat members to return; up to 100.

  Returns `ChatInviteLinkMembers`

### GetChatInviteLinkMembers

public GetChatInviteLinkMembers(DataInput input) throws IOException
Returns chat members joined a chat via an invite link. Requires administrator privileges and canInviteUsers right in the chat for own links and owner privileges for other links.

Returns `ChatInviteLinkMembers`

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`